@font-face {
  font-family: "Nunito";
  src: url("../fonts/Nunito-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
}

body {
  margin: 0;
  padding: 0;
  user-select: none;
  font-family: "Nunito", sans-serif;
  background-color: #fff5e1;
}

h1 {
  text-align: center;
  font-size: 7vw;
  padding: 0 2vw;
}

.grid {
  padding: 1vw 4vw 8vw 4vw;
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 8vw;
}

.item {
  display: flex;
  justify-content: center;
  align-items: center;
  aspect-ratio: 1 / 1;
  transition: transform 0.2s ease;
}

img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

#filter-section {
  height: 4vw;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2vw;
}

.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.9);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 999;
}

.modal img {
  max-width: 90%;
  max-height: 90%;
  object-fit: contain;
  transition: transform 0.3s ease;
}

.modal.show {
  display: flex;
}

.item img {
  width: 100%;
  cursor: pointer;
}

.close {
  position: absolute;
  cursor: pointer;
  top: 5vw;
  right: 5vw;
  font-size: 7vw;
}

.prev,
.next {
  display: none;
}

@media (min-width: 768px) {
  h1 {
    font-size: 5vw;
  }

  .grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 4vw;
  }

  .modal img {
    max-width: 80%;
    max-height: 70%;
  }

  .close {
    top: 5vw;
    right: 5vw;
    font-size: 4vw;
  }
}

@media (min-width: 1024px) {
  h1 {
    font-size: 1.6vw;
  }

  .grid {
    padding: 1vw 3vw 3vw 3vw;
    grid-template-columns: repeat(5, 1fr);
    gap: 3vw;
  }

  .modal {
    gap: 2vw;
  }

  .modal img {
    max-height: 90%;
  }

  .item img {
    width: 100%;
    cursor: pointer;
  }

  .prev,
  .next {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.5vw;
    width: 3vw;
    font-size: 2vw;
  }

  .close {
    top: 2vw;
    right: 7vw;
    font-size: 2vw;
  }

  .item:hover {
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.25);
    transform: scale(1.1);
  }
}
